## fastml 0.1.0

=== DESCRIPTION ===
Package: fastml
Type: Package
Title: Fast Machine Learning Model Training and Evaluation
Version: 0.1.0
Authors@R: c(person("Selcuk", "Korkmaz", email="selcukorkmaz@gmail.com", role=c("aut", "cre"),
                    comment = c(ORCID = "0000-0003-4632-6850")), 
             person("Dincer", "Goksuluk", email="dincer.goksuluk@gmail.com", role="aut",
                    comment = c(ORCID = "0000-0002-2752-7668")))
Description: Streamlines the training, evaluation, and comparison of multiple machine learning models with minimal code by providing 
            comprehensive data preprocessing and support for a wide range of algorithms with hyperparameter tuning. 
            It offers performance metrics and visualization tools to facilitate efficient and effective machine learning workflows.
License: GPL (>= 2)
Encoding: UTF-8
Imports: caret, pROC, reshape2, ggplot2, foreach, doParallel
Suggests: knitr, rmarkdown, randomForest, kernlab, gbm, nnet, rpart,
        glmnet, xgboost, pls, C50, mboost, arm, ipred, caTools, e1071,
        MASS
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2024-11-11 13:28:27 UTC; selcukkorkmaz
Author: Selcuk Korkmaz [aut, cre] (<https://orcid.org/0000-0003-4632-6850>),
  Dincer Goksuluk [aut] (<https://orcid.org/0000-0002-2752-7668>)
Maintainer: Selcuk Korkmaz <selcukorkmaz@gmail.com>
Repository: CRAN
Date/Publication: 2024-11-12 14:30:02 UTC

## fastml 0.2.0

=== DESCRIPTION ===
Package: fastml
Type: Package
Title: Fast Machine Learning Model Training and Evaluation
Version: 0.2.0
Authors@R: c(person("Selcuk", "Korkmaz", email="selcukorkmaz@gmail.com", role=c("aut", "cre"),
                    comment = c(ORCID = "0000-0003-4632-6850")), 
             person("Dincer", "Goksuluk", email="dincer.goksuluk@gmail.com", role="aut",
                    comment = c(ORCID = "0000-0002-2752-7668")))
Description: Streamlines the training, evaluation, and comparison of multiple machine learning models with minimal code by providing 
            comprehensive data preprocessing and support for a wide range of algorithms with hyperparameter tuning. 
            It offers performance metrics and visualization tools to facilitate efficient and effective machine learning workflows.
License: GPL (>= 2)
Encoding: UTF-8
Imports: recipes, dplyr, ggplot2, reshape2, foreach, doParallel,
        rsample, parsnip, tune, workflows, yardstick, tibble, rlang,
        stats, dials, magrittr
Suggests: testthat (>= 3.0.0), knitr, rmarkdown, C50, glmnet, xgboost,
        ranger, crayon, kernlab, discrim, baguette, plsmod, keras,
        lightgbm, bonsai, rstanarm
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2024-11-30 22:53:29 UTC; selcukkorkmaz
Author: Selcuk Korkmaz [aut, cre] (<https://orcid.org/0000-0003-4632-6850>),
  Dincer Goksuluk [aut] (<https://orcid.org/0000-0002-2752-7668>)
Maintainer: Selcuk Korkmaz <selcukorkmaz@gmail.com>
Repository: CRAN
Date/Publication: 2024-11-30 23:10:02 UTC

## fastml 0.3.0

=== DESCRIPTION ===
Package: fastml
Type: Package
Title: Fast Machine Learning Model Training and Evaluation
Version: 0.3.0
Authors@R: c(person("Selcuk", "Korkmaz", email="selcukorkmaz@gmail.com", role=c("aut", "cre"),
                    comment = c(ORCID = "0000-0003-4632-6850")), 
             person("Dincer", "Goksuluk", email="dincer.goksuluk@gmail.com", role="aut",
                    comment = c(ORCID = "0000-0002-2752-7668")))
Description: Streamlines the training, evaluation, and comparison of multiple machine learning models with minimal code by providing 
            comprehensive data preprocessing and support for a wide range of algorithms with hyperparameter tuning. 
            It offers performance metrics and visualization tools to facilitate efficient and effective machine learning workflows.
License: GPL (>= 2)
Encoding: UTF-8
Imports: recipes, dplyr, ggplot2, reshape2, rsample, parsnip, tune,
        workflows, yardstick, tibble, rlang, dials, RColorBrewer,
        baguette, bonsai, discrim, doFuture, finetune, future, plsmod,
        probably, viridisLite, DALEX, magrittr
Suggests: testthat (>= 3.0.0), knitr, rmarkdown, C50, glmnet, xgboost,
        ranger, crayon, kernlab, keras, lightgbm, rstanarm
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2024-12-16 22:24:32 UTC; selcukkorkmaz
Author: Selcuk Korkmaz [aut, cre] (<https://orcid.org/0000-0003-4632-6850>),
  Dincer Goksuluk [aut] (<https://orcid.org/0000-0002-2752-7668>)
Maintainer: Selcuk Korkmaz <selcukorkmaz@gmail.com>
Repository: CRAN
Date/Publication: 2024-12-16 22:40:02 UTC

## fastml 0.4.0

=== DESCRIPTION ===
Package: fastml
Type: Package
Title: Fast Machine Learning Model Training and Evaluation
Version: 0.4.0
Authors@R: c(person("Selcuk", "Korkmaz", email="selcukorkmaz@gmail.com", role=c("aut", "cre"),
                    comment = c(ORCID = "0000-0003-4632-6850")), 
             person("Dincer", "Goksuluk", email="dincer.goksuluk@gmail.com", role="aut",
                    comment = c(ORCID = "0000-0002-2752-7668")), 
             person("Eda", "Karaismailoglu", email="eda.karaismailoglu@sbu.edu.tr", role="aut",
                    comment = c(ORCID = "0000-0003-3085-7809")))
Description: Streamlines the training, evaluation, and comparison of multiple machine learning models with minimal code by providing 
            comprehensive data preprocessing and support for a wide range of algorithms with hyperparameter tuning. 
            It offers performance metrics and visualization tools to facilitate efficient and effective machine learning workflows.
License: GPL (>= 2)
Encoding: UTF-8
Imports: recipes, dplyr, ggplot2, reshape2, rsample, parsnip, tune,
        workflows, yardstick, tibble, rlang, dials, RColorBrewer,
        baguette, bonsai, discrim, doFuture, finetune, future, plsmod,
        probably, viridisLite, DALEX, magrittr, patchwork, pROC,
        janitor, stringr, DT, GGally, UpSetR, VIM, broom, dbscan,
        ggpubr, gridExtra, htmlwidgets, kableExtra, moments, naniar,
        plotly, scales, skimr, tidyr, knitr, rmarkdown,
Suggests: testthat (>= 3.0.0), C50, glmnet, xgboost, ranger, crayon,
        kernlab, klaR, kknn, keras, lightgbm, rstanarm, mixOmics,
RoxygenNote: 7.3.2
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2025-01-08 07:50:45 UTC; selcukkorkmaz
Author: Selcuk Korkmaz [aut, cre] (<https://orcid.org/0000-0003-4632-6850>),
  Dincer Goksuluk [aut] (<https://orcid.org/0000-0002-2752-7668>),
  Eda Karaismailoglu [aut] (<https://orcid.org/0000-0003-3085-7809>)
Maintainer: Selcuk Korkmaz <selcukorkmaz@gmail.com>
Repository: CRAN
Date/Publication: 2025-01-08 08:10:05 UTC

## fastml 0.5.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Package: fastml
 Type: Package
 Title: Fast Machine Learning Model Training and Evaluation
-Version: 0.4.0
+Version: 0.5.0
+Date: 2025-03-07
 Authors@R: c(person("Selcuk", "Korkmaz", email="selcukorkmaz@gmail.com", role=c("aut", "cre"),
                     comment = c(ORCID = "0000-0003-4632-6850")), 
              person("Dincer", "Goksuluk", email="dincer.goksuluk@gmail.com", role="aut",
@@ -19,16 +20,17 @@
         probably, viridisLite, DALEX, magrittr, patchwork, pROC,
         janitor, stringr, DT, GGally, UpSetR, VIM, broom, dbscan,
         ggpubr, gridExtra, htmlwidgets, kableExtra, moments, naniar,
-        plotly, scales, skimr, tidyr, knitr, rmarkdown,
+        plotly, scales, skimr, tidyr, knitr, rmarkdown, purrr, mice,
+        missForest
 Suggests: testthat (>= 3.0.0), C50, glmnet, xgboost, ranger, crayon,
         kernlab, klaR, kknn, keras, lightgbm, rstanarm, mixOmics,
 RoxygenNote: 7.3.2
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2025-01-08 07:50:45 UTC; selcukkorkmaz
+Packaged: 2025-03-07 11:26:39 UTC; selcuk
 Author: Selcuk Korkmaz [aut, cre] (<https://orcid.org/0000-0003-4632-6850>),
   Dincer Goksuluk [aut] (<https://orcid.org/0000-0002-2752-7668>),
   Eda Karaismailoglu [aut] (<https://orcid.org/0000-0003-3085-7809>)
 Maintainer: Selcuk Korkmaz <selcukorkmaz@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-01-08 08:10:05 UTC
+Date/Publication: 2025-03-07 11:50:11 UTC

## fastml 0.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Package: fastml
 Type: Package
 Title: Fast Machine Learning Model Training and Evaluation
-Version: 0.5.0
-Date: 2025-03-07
+Version: 0.6.0
 Authors@R: c(person("Selcuk", "Korkmaz", email="selcukorkmaz@gmail.com", role=c("aut", "cre"),
                     comment = c(ORCID = "0000-0003-4632-6850")), 
              person("Dincer", "Goksuluk", email="dincer.goksuluk@gmail.com", role="aut",
@@ -12,8 +11,11 @@
 Description: Streamlines the training, evaluation, and comparison of multiple machine learning models with minimal code by providing 
             comprehensive data preprocessing and support for a wide range of algorithms with hyperparameter tuning. 
             It offers performance metrics and visualization tools to facilitate efficient and effective machine learning workflows.
-License: GPL (>= 2)
 Encoding: UTF-8
+License: MIT + file LICENSE
+URL: https://github.com/selcukorkmaz/fastml
+BugReports: https://github.com/selcukorkmaz/fastml/issues
+LazyData: true
 Imports: recipes, dplyr, ggplot2, reshape2, rsample, parsnip, tune,
         workflows, yardstick, tibble, rlang, dials, RColorBrewer,
         baguette, bonsai, discrim, doFuture, finetune, future, plsmod,
@@ -27,10 +29,13 @@
 RoxygenNote: 7.3.2
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2025-03-07 11:26:39 UTC; selcuk
-Author: Selcuk Korkmaz [aut, cre] (<https://orcid.org/0000-0003-4632-6850>),
-  Dincer Goksuluk [aut] (<https://orcid.org/0000-0002-2752-7668>),
-  Eda Karaismailoglu [aut] (<https://orcid.org/0000-0003-3085-7809>)
+Packaged: 2025-06-10 20:30:13 UTC; selcukkorkmaz
+Author: Selcuk Korkmaz [aut, cre] (ORCID:
+    <https://orcid.org/0000-0003-4632-6850>),
+  Dincer Goksuluk [aut] (ORCID: <https://orcid.org/0000-0002-2752-7668>),
+  Eda Karaismailoglu [aut] (ORCID:
+    <https://orcid.org/0000-0003-3085-7809>)
 Maintainer: Selcuk Korkmaz <selcukorkmaz@gmail.com>
+Depends: R (>= 3.5.0)
 Repository: CRAN
-Date/Publication: 2025-03-07 11:50:11 UTC
+Date/Publication: 2025-06-10 20:50:01 UTC

## fastml 0.6.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: fastml
 Type: Package
 Title: Fast Machine Learning Model Training and Evaluation
-Version: 0.6.0
+Version: 0.6.1
 Authors@R: c(person("Selcuk", "Korkmaz", email="selcukorkmaz@gmail.com", role=c("aut", "cre"),
                     comment = c(ORCID = "0000-0003-4632-6850")), 
              person("Dincer", "Goksuluk", email="dincer.goksuluk@gmail.com", role="aut",
@@ -29,7 +29,7 @@
 RoxygenNote: 7.3.2
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2025-06-10 20:30:13 UTC; selcukkorkmaz
+Packaged: 2025-06-10 22:04:39 UTC; selcukkorkmaz
 Author: Selcuk Korkmaz [aut, cre] (ORCID:
     <https://orcid.org/0000-0003-4632-6850>),
   Dincer Goksuluk [aut] (ORCID: <https://orcid.org/0000-0002-2752-7668>),
@@ -38,4 +38,4 @@
 Maintainer: Selcuk Korkmaz <selcukorkmaz@gmail.com>
 Depends: R (>= 3.5.0)
 Repository: CRAN
-Date/Publication: 2025-06-10 20:50:01 UTC
+Date/Publication: 2025-06-10 22:50:02 UTC

## fastml 0.6.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: fastml
 Type: Package
 Title: Fast Machine Learning Model Training and Evaluation
-Version: 0.6.1
+Version: 0.6.2
 Authors@R: c(person("Selcuk", "Korkmaz", email="selcukorkmaz@gmail.com", role=c("aut", "cre"),
                     comment = c(ORCID = "0000-0003-4632-6850")), 
              person("Dincer", "Goksuluk", email="dincer.goksuluk@gmail.com", role="aut",
@@ -29,7 +29,7 @@
 RoxygenNote: 7.3.2
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2025-06-10 22:04:39 UTC; selcukkorkmaz
+Packaged: 2025-07-24 13:52:50 UTC; selcukkorkmaz
 Author: Selcuk Korkmaz [aut, cre] (ORCID:
     <https://orcid.org/0000-0003-4632-6850>),
   Dincer Goksuluk [aut] (ORCID: <https://orcid.org/0000-0002-2752-7668>),
@@ -38,4 +38,4 @@
 Maintainer: Selcuk Korkmaz <selcukorkmaz@gmail.com>
 Depends: R (>= 3.5.0)
 Repository: CRAN
-Date/Publication: 2025-06-10 22:50:02 UTC
+Date/Publication: 2025-07-24 14:30:08 UTC

## fastml 0.7.0

=== DESCRIPTION ===
Package: fastml
Type: Package
Title: Fast Machine Learning Model Training and Evaluation
Version: 0.7.0
Authors@R: c(person("Selcuk", "Korkmaz", email="selcukorkmaz@gmail.com", role=c("aut", "cre"),
                    comment = c(ORCID = "0000-0003-4632-6850")), 
             person("Dincer", "Goksuluk", email="dincer.goksuluk@gmail.com", role="aut",
                    comment = c(ORCID = "0000-0002-2752-7668")), 
             person("Eda", "Karaismailoglu", email="eda.karaismailoglu@sbu.edu.tr", role="aut",
                    comment = c(ORCID = "0000-0003-3085-7809")))
Description: Streamlines the training, evaluation, and comparison of multiple machine learning models with minimal code by providing 
            comprehensive data preprocessing and support for a wide range of algorithms with hyperparameter tuning. 
            It offers performance metrics and visualization tools to facilitate efficient and effective machine learning workflows.
Encoding: UTF-8
License: MIT + file LICENSE
URL: https://selcukorkmaz.github.io/fastml-tutorial/,
        https://github.com/selcukorkmaz/fastml
BugReports: https://github.com/selcukorkmaz/fastml/issues
Imports: methods, recipes, dplyr, ggplot2, reshape2, rsample, parsnip,
        tune, workflows, yardstick, tibble, rlang, dials, RColorBrewer,
        baguette, bonsai, discrim, doFuture, finetune, future, plsmod,
        probably, viridisLite, DALEX, magrittr, pROC, janitor, stringr,
        DT, UpSetR, VIM, broom, dbscan, ggpubr, gridExtra, htmlwidgets,
        kableExtra, moments, naniar, plotly, scales, skimr, tidyr,
        tidyselect, purrr, mice, missForest, survival, flexsurv,
        rstpm2, iml, lime, survRM2, ceterisParibus, xgboost, knitr,
        rmarkdown
Suggests: testthat (>= 3.0.0), C50, ranger, aorsf, censored, crayon,
        kernlab, klaR, kknn, keras, lightgbm, rstanarm, mixOmics, pdp,
        patchwork, GGally, glmnet, agua, bslib, h2o, mlbench,
        tidyverse,
RoxygenNote: 7.3.2
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2025-10-29 19:08:23 UTC; selcukkorkmaz
Author: Selcuk Korkmaz [aut, cre] (ORCID:
    <https://orcid.org/0000-0003-4632-6850>),
  Dincer Goksuluk [aut] (ORCID: <https://orcid.org/0000-0002-2752-7668>),
  Eda Karaismailoglu [aut] (ORCID:
    <https://orcid.org/0000-0003-3085-7809>)
Maintainer: Selcuk Korkmaz <selcukorkmaz@gmail.com>
Repository: CRAN
Date/Publication: 2025-10-29 19:40:07 UTC

## fastml 0.7.5

=== DESCRIPTION ===
Package: fastml
Type: Package
Title: Guarded Resampling Workflows for Safe and Automated Machine
        Learning in R
Version: 0.7.5
Authors@R: c(person("Selcuk", "Korkmaz", email="selcukorkmaz@gmail.com", role=c("aut", "cre"),
                    comment = c(ORCID = "0000-0003-4632-6850")), 
             person("Dincer", "Goksuluk", email="dincer.goksuluk@gmail.com", role="aut",
                    comment = c(ORCID = "0000-0002-2752-7668")), 
             person("Eda", "Karaismailoglu", email="eda.karaismailoglu@sbu.edu.tr", role="aut",
                    comment = c(ORCID = "0000-0003-3085-7809")))
Description: Provides a guarded resampling workflow for training and evaluating machine‑learning models. 
	When the guarded resampling path is used, preprocessing and model fitting are re‑estimated within 
	each resampling split to reduce leakage risk. Supports multiple resampling schemes, integrates 
	with established engines in the 'tidymodels' ecosystem, and aims to improve evaluation reliability by 
	coordinating preprocessing, fitting, and evaluation within supported workflows. Offers a lightweight 
	AutoML‑style workflow by automating model training, resampling, and tuning across multiple algorithms, 
	while keeping evaluation design explicit and user‑controlled.
Encoding: UTF-8
License: MIT + file LICENSE
URL: https://github.com/selcukorkmaz/fastml
BugReports: https://github.com/selcukorkmaz/fastml/issues
Depends: R (>= 4.1.0)
Imports: stats, recipes, dplyr, ggplot2, reshape2, rsample, parsnip,
        tune, workflows, yardstick, tibble, rlang, dials, RColorBrewer,
        baguette, discrim, doFuture, finetune, future, plsmod,
        probably, viridisLite, DALEX, magrittr, pROC, janitor, stringr,
        broom, tidyr, purrr, survival, flexsurv, rstpm2, iml, lime,
        survRM2, iBreakDown, xgboost, pdp, modelStudio, fairmodels
Suggests: testthat (>= 3.0.0), C50, ranger, aorsf, censored, crayon,
        kernlab, klaR, kknn, keras, lightgbm, rstanarm, mixOmics,
        patchwork, GGally, glmnet, DT, UpSetR, VIM, dbscan, ggpubr,
        gridExtra, htmlwidgets, kableExtra, moments, naniar, plotly,
        scales, skimr, sparsediscrim, knitr, rmarkdown
RoxygenNote: 7.3.2
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2025-12-22 12:14:23 UTC; selcukkorkmaz
Author: Selcuk Korkmaz [aut, cre] (ORCID:
    <https://orcid.org/0000-0003-4632-6850>),
  Dincer Goksuluk [aut] (ORCID: <https://orcid.org/0000-0002-2752-7668>),
  Eda Karaismailoglu [aut] (ORCID:
    <https://orcid.org/0000-0003-3085-7809>)
Maintainer: Selcuk Korkmaz <selcukorkmaz@gmail.com>
Repository: CRAN
Date/Publication: 2025-12-22 12:40:02 UTC

## fastml 0.7.6

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Guarded Resampling Workflows for Safe and Automated Machine
         Learning in R
-Version: 0.7.5
+Version: 0.7.6
 Authors@R: c(person("Selcuk", "Korkmaz", email="selcukorkmaz@gmail.com", role=c("aut", "cre"),
                     comment = c(ORCID = "0000-0003-4632-6850")), 
              person("Dincer", "Goksuluk", email="dincer.goksuluk@gmail.com", role="aut",
@@ -18,7 +18,8 @@
 	while keeping evaluation design explicit and user‑controlled.
 Encoding: UTF-8
 License: MIT + file LICENSE
-URL: https://github.com/selcukorkmaz/fastml
+URL: https://selcukorkmaz.github.io/fastml-tutorial/,
+        https://github.com/selcukorkmaz/fastml
 BugReports: https://github.com/selcukorkmaz/fastml/issues
 Depends: R (>= 4.1.0)
 Imports: stats, recipes, dplyr, ggplot2, reshape2, rsample, parsnip,
@@ -32,10 +33,10 @@
         patchwork, GGally, glmnet, DT, UpSetR, VIM, dbscan, ggpubr,
         gridExtra, htmlwidgets, kableExtra, moments, naniar, plotly,
         scales, skimr, sparsediscrim, knitr, rmarkdown
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2025-12-22 12:14:23 UTC; selcukkorkmaz
+Packaged: 2026-01-10 22:21:53 UTC; selcuk
 Author: Selcuk Korkmaz [aut, cre] (ORCID:
     <https://orcid.org/0000-0003-4632-6850>),
   Dincer Goksuluk [aut] (ORCID: <https://orcid.org/0000-0002-2752-7668>),
@@ -43,4 +44,4 @@
     <https://orcid.org/0000-0003-3085-7809>)
 Maintainer: Selcuk Korkmaz <selcukorkmaz@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-12-22 12:40:02 UTC
+Date/Publication: 2026-01-10 22:50:02 UTC

## fastml 0.7.7

=== DESCRIPTION ===
Package: fastml
Type: Package
Title: Guarded Resampling Workflows for Safe and Automated Machine
        Learning in R
Version: 0.7.7
Authors@R: c(person("Selcuk", "Korkmaz", email="selcukorkmaz@gmail.com", role=c("aut", "cre"),
                    comment = c(ORCID = "0000-0003-4632-6850")), 
             person("Dincer", "Goksuluk", email="dincer.goksuluk@gmail.com", role="aut",
                    comment = c(ORCID = "0000-0002-2752-7668")), 
             person("Eda", "Karaismailoglu", email="eda.karaismailoglu@sbu.edu.tr", role="aut",
                    comment = c(ORCID = "0000-0003-3085-7809")))
Description: Provides a guarded resampling workflow for training and evaluating machine-learning models. 
	When the guarded resampling path is used, preprocessing and model fitting are re-estimated within 
	each resampling split to reduce leakage risk. Supports multiple resampling schemes, integrates 
	with established engines in the 'tidymodels' ecosystem, and aims to improve evaluation reliability by 
	coordinating preprocessing, fitting, and evaluation within supported workflows. Offers a lightweight 
	AutoML-style workflow by automating model training, resampling, and tuning across multiple algorithms, 
	while keeping evaluation design explicit and user-controlled.
Encoding: UTF-8
License: MIT + file LICENSE
URL: https://selcukorkmaz.github.io/fastml-tutorial/,
        https://github.com/selcukorkmaz/fastml
BugReports: https://github.com/selcukorkmaz/fastml/issues
Depends: R (>= 4.1.0)
Imports: stats, recipes, dplyr, ggplot2, reshape2, rsample, parsnip,
        tune, workflows, yardstick, tibble, rlang, dials, RColorBrewer,
        baguette, discrim, doFuture, foreach, finetune, future, plsmod,
        probably, viridisLite, DALEX, magrittr, pROC, janitor, stringr,
        broom, tidyr, purrr, survival, flexsurv, rstpm2, iml, lime,
        survRM2, iBreakDown, xgboost, pdp, modelStudio, fairmodels
Suggests: testthat (>= 3.0.0), withr, C50, ranger, aorsf, censored,
        crayon, kernlab, klaR, kknn, keras, lightgbm, rstanarm,
        mixOmics, patchwork, GGally, glmnet, themis, DT, UpSetR, VIM,
        dbscan, ggpubr, gridExtra, htmlwidgets, kableExtra, moments,
        naniar, plotly, scales, skimr, sparsediscrim, knitr, rmarkdown,
        pec
RoxygenNote: 7.3.3
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2026-01-27 22:12:54 UTC; selcuk
Author: Selcuk Korkmaz [aut, cre] (ORCID:
    <https://orcid.org/0000-0003-4632-6850>),
  Dincer Goksuluk [aut] (ORCID: <https://orcid.org/0000-0002-2752-7668>),
  Eda Karaismailoglu [aut] (ORCID:
    <https://orcid.org/0000-0003-3085-7809>)
Maintainer: Selcuk Korkmaz <selcukorkmaz@gmail.com>
Repository: CRAN
Date/Publication: 2026-01-27 22:50:18 UTC

## fastml 3.1

=== Makefile ===
.PHONY: all libs semphy programs clean install

all: libs programs

debug: libs.debug

%: libs.% programs.%
	echo $@

libs: libs.all

programs: programs.all

programs.all: libs
programs.debug: libs.debug

semphy: programs.semphy

install: programs.install

programs.install programs.all semphy: libs

clean: libs.clean programs.clean

libs.%:
	+cd libs;make $(*)

programs.%:
	+cd programs;make $(*)

tags: libs/*/*.cpp libs/*/*.h programs/*/*.h programs/*/*.cpp
	etags --members --language=c++ $^

=== libs/phylogeny/Makefile ===
#! /usr/local/bin/gmake
# $Id: Makefile 11759 2013-09-24 13:45:40Z elilevy $
# makfile for yaep5



# use LOGREP=t or DOUBLEREP=t to activate logRep or doubleRep respectively (or setenv DOUBLEREP in the shell)
#DOUBLEREP=t
#LOGREP=t


Libsources= AddLog.cpp NNiProp.cpp NNiSep.cpp Nni.cpp aaJC.cpp				\
   allTrees.cpp allTreesSeparateModel.cpp alphabet.cpp amino.cpp			\
   bestAlpha.cpp bestAlphaManyTrees.cpp bestHKYparam.cpp bootstrap.cpp			\
   bblEM.cpp bblEMfixRoot.cpp bblEMProprtional.cpp bblEMProportionalEB.cpp bblLSProportionalEB.cpp bblEMSeperate.cpp	\
   chebyshevAccelerator.cpp clustalFormat.cpp codon.cpp codonJC.cpp			\
   computeCounts.cpp computeDownAlg.cpp computeMarginalAlg.cpp				\
   computePijComponent.cpp computeUpAlg.cpp computeUpAlgFactors.cpp			\
   computeSubstitutionCounts.cpp											\
   computePosteriorExpectationOfSubstitutions.cpp							\
   computePosteriorExpectationOfSubstitutions_nonReversibleSp.cpp			\
   ConversionUtils.cpp countTableComponent.cpp datMatrixHolder.cpp distanceTable.cpp	\
   distribution.cpp errorMsg.cpp evaluateCharacterFreq.cpp				\
   fastStartTree.cpp fastaFormat.cpp findRateOfGene.cpp					\
   fromCountTableComponentToDistance.cpp fromCountTableComponentToDistancefixRoot.cpp 	\
   fromCountTableComponentToDistanceProp.cpp fromCountTableComponentToDistancePropEB.cpp fromQtoPt.cpp				\
   generalGammaDistributionFixedCategories.cpp gammaDistribution.cpp gammaUtilities.cpp	\
   generalGammaDistribution.cpp getRandomWeights.cpp goldmanYangModel.cpp		\
   granthamChemicalDistances.cpp hky.cpp simulateWithDependence.cpp KH_calculation.cpp likeDist.cpp likeDistfixRoot.cpp \
   likeDistProp.cpp likeDistPropEB.cpp likelihoodComputation.cpp						\
   likelihoodComputationFactors.cpp logFile.cpp maseFormat.cpp				\
   molphyFormat.cpp nexusFormat.cpp nj.cpp njConstrain.cpp				\
   nucJC.cpp nucleotide.cpp numRec.cpp Parameters.cpp phylipFormat.cpp			\
   pijAccelerator.cpp readDatMatrix.cpp readTree.cpp recognizeFormat.cpp		\
   replacementModel.cpp searchStatus.cpp seqContainerTreeMap.cpp			\
   sequence.cpp sequenceContainer.cpp simulateTree.cpp					\
   siteSpecificRate.cpp someUtil.cpp split.cpp splitMap.cpp				\
   splitTreeUtil.cpp stochasticProcess.cpp suffStatComponent.cpp			\
   talRandom.cpp tree.cpp treeIt.cpp treeUtil.cpp uniDistribution.cpp			\
   uniformDistribution.cpp cmdline2EvolObjs.cpp						\
   generalGammaDistributionLaguerre.cpp gammaDistributionLaguerre.cpp GLaguer.cpp					\
   givenRatesMLDistance.cpp distanceBasedSeqs2Tree.cpp					\
   posteriorDistance.cpp pairwiseGammaDistance.cpp doubleRep.cpp			\
   logRep.cpp indel.cpp indelModel.cpp mulAlphabet.cpp					\
   replacementModelSSRV.cpp stochasticProcessSSRV.cpp bestAlphaAndNu.cpp		\
   C_evalParamUSSRV.cpp matrixUtils.cpp betaOmegaDistribution.cpp			\
   betaUtilities.cpp betaDistribution.cpp geneticCodeHolder.cpp				\
   samplingSequences.cpp bblEM2USSRV.cpp bestParamUSSRV.cpp				\
   likeDist2USSRV.cpp ussrvModel.cpp likelihoodComputation2USSRV.cpp			\
   fromCountTableComponentToDistance2USSRV.cpp normalDist.cpp				\
   tamura92.cpp bestTamura92param.cpp phylipSequentialFormat.cpp			\
   simulateCodonsJumps.cpp													\
   simulateJumpsAbstract.cpp												\
   ssrvDistanceSeqs2Tree.cpp multipleStochasticProcess.cpp distributionPlusInvariant.cpp\
   extremeValDistribution.cpp \
   gammaDistributionFixedCategories.cpp  generalGammaDistributionPlusInvariant.cpp  gammaDistributionPlusInvariant.cpp   \
   distributionPlusCategory.cpp simulateJumps.cpp computeJumps.cpp seqeuncesFilter.cpp 					\
   optGammaMixtureLS.cpp mixtureDistribution.cpp  suffStatGammaMixture.cpp GamMixtureOptimizer.cpp optGammaMixtureEM.cpp gainLossAlphabet.cpp \
   wYangModel.cpp codonUtils.cpp likelihoodComputation2Codon.cpp likeDist2Codon.cpp unObservableData.cpp likelihoodComputationGL.cpp	\
	threeStateModel.cpp threeStateAlphabet.cpp oneTwoMoreModel.cpp betaDistributionFixedCategories.cpp betaDistributionFixedCategoriesWithOmegaUniform.cpp	\
	bblEM2codon.cpp bestAlphaAndK.cpp fromCountTableComponentToDistance2Codon.cpp\
	gtrModel.cpp bestGtrModelParams.cpp simulateRateShiftJumps.cpp integerAlphabet.cpp

# do not use: fromInstructionFile.cpp, simulateSequnce.cpp  split.save.cpp


# LibCsources= cmdline.c
# LibCsources += getopt.c getopt1.c 

EXEC = 
#TEST_EXEC_SUB = split_test splitMap_test bootstrap_test
TEST_EXEC = $(addprefix tests/,$(TEST_EXEC_SUB))
LIB = libEvolTree.a
DEBUGLIB = $(LIB:.a=Debug.a)
DOUBLEREPLIB = $(LIB:.a=DoubleRep.a)


#CC=g++
CXX=g++
CC=$(CXX)

#requres 2.13, but may work with 2.11
GENGETOPT = gengetopt
# osX/tiger
#GENGETOPT = /opt/local/bin/gengetopt

.SECONDARY: semphy_cmdline.c semphy_cmdline.h

#LDFLAGS=  

CPPFLAGS=  -O3 -Wall -Wno-sign-compare -I. -DLOG -ftemplate-depth-32
CPPFLAGSDEBUG= -g -Wall -Wno-sign-compare -I. -DLOG -ftemplate-depth-32 -DVERBOS
#CPPFLAGSDOU=  $(CPPFLAGS) 
#-pg


#CPPFLAGS+= -I/usr/include/g++-v3
#CPPFLAGS+= -DLOG -DLOGCLS -DMEMCHK

# sources
sources= $(Libsources) $(LibCsources) $(addsuffix .cpp,$(EXEC) $(TEST_EXEC))

.PHONY: tests lib test debug %.debug
.PHONY:  dat DOUBLEREP doubleRep

all: lib $(EXEC)

test: all tests
	+cd tests; make -k test

#ifdef DOUBLEREP
#CPPFLAGS+= -DLOGREP
#CPPFLAGSDEBUG += -DLOGREP
#LDFLAGSDEBUG +=  -DLOGREP
#endif

ifdef DOUBLEREP
CPPFLAGS+= -DDOUBLEREP
CPPFLAGSDEBUG += -DDOUBLEREP
LDFLAGSDEBUG +=  -DDOUBLEREP
endif

debug: CPPFLAGS = -g -Wall -Wno-sign-compare -I. -DLOG -ftemplate-depth-32
debug:  $(DEBUGLIB)
pl:
	@echo "lib  ="$(LIB)
	@echo "debug="$(DEBUGLIB)
#debug: all 
#	cp libEvolTree.a libEvolTreeDebug.a

# <<<<<<< Makefile
# %.debug: CPPFLAGS = -g -Wall -Wno-sign-compare -I. -DLOG -ftemplate-depth-25
# % debug: LIB = libEvolTreeDebug.a
# %.debug: %
# 	@echo "made \""$(*)"\" in debug mode"

# =======
#>>>>>>> 2.34

lib: $(LIB)

$(LIB): $(Libsources:.cpp=.o) $(LibCsources:.c=.o)
	ar rv $@ $?
	ranlib $@

tags: *.cpp *.h
	etags --members --language=c++ $^ 

$(EXEC) $(TEST_EXEC): $(LIB)
tests: $(TEST_EXEC)

-include make.dep

install:
	cd ../fast; make -f Makefile.lib install_do


clean:
	-rm -f $(LIB) $(DEBUGLIB) $(DOUBLEREPLIB) $(EXEC) $(TEST_EXEC) *.o


ifneq ($(wildcard make.dep), make.dep)
 make.dep: depend
endif

depend makedep: _make.dep
	@mv -f _make.dep make.dep 

_make.dep: $(sources)
	@echo making depend
#	$(SHELL) -ec '$(CC) -MM $(CPPFLAGS) $^ | sed '\''s/\($*\)\.o[ :]*/\1.o $@ : /g'\'' > $@ ; [ -s $@ ] || rm -f $@' 
	@$(SHELL) -ec '$(CC) -MM $(CPPFLAGS) $^ | sed "s/\(^[^.]*\)\.o/\1.o \1.debug.o/g" > $@' 
_fast:
	cd ../fast;make -f Makefile.lib -k all

fast.% _fast.%:
	cd ../fast;make -f Makefile.lib -k $(*)


simulateSequnce: simulateSequnce_cmdline.o


evolObjsTest.ggo: evolObjs.header evolObjs.args
	cat $^ > $@


# commandline (gengetopts)
%_cmdline.h %_cmdline.c: %.ggo
	$(GENGETOPT)  -i$< -F$(*)_cmdline

%.dat.q: %.dat
	awk 'BEGIN{RS="[\n\r]+";};{print "\" "$$0" \"\r"}' $< >  $@
#	cat $@

DAT = cpREV45.dat.q dayhoff.dat.q jones.dat.q mtREV24.dat.q wag.dat.q HIVb.dat.q HIVw.dat.q

dat: $(DAT)

cleandat:
	rm $(DAT)

datMatrixHolder.o: $(DAT)

.PRECIOUS: $(DAT)

debug: LIB = $(DEBUGLIB)

%.debug: CPPFLAGS = $(CPPFLAGSDEBUG)
%.debug: %
	@echo "made \""$(*)"\" in debug mode"


%.debug.o: %.c
	$(CC) -c $(CPPFLAGSDEBUG) $(CFLAGS) $< -o $@

%.debug.o: %.cpp
	$(CXX) -c $(CPPFLAGSDEBUG) $(CXXFLAGS) $< -o $@

$(DEBUGLIB): $(Libsources:.cpp=.debug.o) $(LibCsources:.c=.debug.o)
	ar rv $@ $?
	ranlib $@

#doubleRep: LOGREP=t
#doubleRep: CPPFLAGS+= -DLOGREP
doubleRep: DOUBLEREP=t
doubleRep: CPPFLAGS+= -DDOUBLEREP
doubleRep: $(DOUBLEREPLIB)

%.doubleRep.o: %.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $< -o $@

%.doubleRep.o: %.cpp
	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) $< -o $@

$(DOUBLEREPLIB): $(Libsources:.cpp=.doubleRep.o) $(LibCsources:.c=.doubleRep.o)
	ar rv $@ $?
	ranlib $@

# DO NOT DELETE

=== programs/gainLoss/Makefile ===
#! /usr/local/bin/gmake
#  $Id: Makefile cohenofi $

# In order to compile with doubleRep run make like this:  make doubleRep

Libsources= gainLossOptions.cpp  gainLoss.cpp  gainLossUtils.cpp optimizeGainLossModel.cpp  optimizeGainLossModelVV.cpp likelihoodComputationGL.cpp gainLossModel.cpp siteSpecificGL.cpp computePosteriorExpectationOfChange.cpp gainLossProject.cpp gainLossOptimizer.cpp  ancestralReconstructStates.cpp rate4siteGL.cpp computeCountsGL.cpp computeCorrelations.cpp gainLoss4site.cpp simulateChangesAlongTree.cpp simulateOnePos.cpp bblLS.cpp sankoffReconstructGL.cpp

#Libsources=
LIBNAME = gainLoss

# LibCsources= cmdline.c
# LibCsources += getopt.c getopt1.c 

EXEC = gainLoss



include ../Makefile.generic

=== libs/phylogeny/tests/Makefile ===
CPPFLAGS=      -g -Wall -Wno-sign-compare -I.. -DLOG -ftemplate-depth-25 -O0
CPPFLAGSDEBUG= -g -Wall -Wno-sign-compare -I.. -DLOG -ftemplate-depth-32

# -O3
LDFLAGS= -L.. 
LDLIBS= -lEvolTree

CC=g++
CXX=g++

.PHONY: test tests run all clean

TESTS= split_test splitMap_test bootstrap_test				\
	given2seqTheDistBetweenThem-3					\
	given2seqEstimateTheDistBetweenThem computeNJtreeJCmodel	\
	checkTreeLikelihoodGivenBranches optimizeBranchesJC_EM		\
	given2seqEstimateTheDistBetweenThemGamma			\
	optimizeBranchesJC_EM_gamma					\
	optimizeBranchesJC_EM_gam_estimate_alp				\
	given2seqEstimateTheDistanceK2P optimize_HKY_param		\
	doubleRep readTreeWithComments
#ludouble_test 	DistanceTableFromTree 
OTHER_TESTS= exhaustiveSearch

all: test
run:  $(addsuffix .out.tmp,$(TESTS)) 

libEvolDebug=../libEvolTreeDebug.a

DEBUGEXEC = $(addsuffix .debug,$(TESTS))
$(DEBUGEXEC): $(libEvolDebug)

$(TESTS): ../libEvolTree.a

test: $(addsuffix .test,$(TESTS)) 

alltest: $(addsuffix .test,$(TESTS) $(OTHER_TESTS)) 

%.test: %.out.tmp %.out.standard
	diff $^

readTreeWithComments.out.tmp: readTreeWithComments treeWithComments.tree
	./$^>$@

%.out.tmp: %
	$(*) > $@

tests: $(TESTS)


%.debug.o: %.c
	$(CC) -c $(CPPFLAGSDEBUG) $(CFLAGS) $< -o $@

%.debug.o: %.cpp
	$(CXX) -c $(CPPFLAGSDEBUG) $(CXXFLAGS) $< -o $@

debug: $(DEBUGEXEC)


clean:
	-rm -f $(TESTS) *.out.tmp *.o

=== debian/changelog ===
fastml (3.1-4) unstable; urgency=medium

  * Cleanup d/rules
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jul 2018 21:21:03 +0200

fastml (3.1-3) unstable; urgency=medium

  * Team upload

  [ Gert Wollny ]
  * d/p/remove-template-depth.patch add patch to not restrict template 
    depth. (Default with g++-6 is 900)
  * d/p/g++-6.patch: fix compilation with g++-6, Closes: #811944
  * d/control: Update standards version to 3.9.8 

  [ Andreas Tille ]
  * cme fix dpkg-control
  * Better hardening

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 10 May 2016 09:46:15 +0000

fastml (3.1-2) unstable; urgency=medium

  * Turn on testing in general but exclude failed tests

 -- Andreas Tille <tille@debian.org>  Thu, 17 Dec 2015 13:10:06 +0100

fastml (3.1-1) unstable; urgency=low

  * Initial release (Closes: #805529)

 -- Andreas Tille <tille@debian.org>  Thu, 19 Nov 2015 09:01:33 +0100

=== debian/control ===
Source: fastml
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/med-team/fastml
Vcs-Git: https://salsa.debian.org/med-team/fastml.git
Homepage: http://fastml.tau.ac.il/

Package: fastml
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: maximum likelihood ancestral amino-acid sequence reconstruction
 FastML is a bioinformatics tool for the reconstruction of ancestral
 sequences based on the phylogenetic relations between homologous
 sequences. FastML runs several algorithms that reconstruct the ancestral
 sequences with emphasis on an accurate reconstruction of both indels and
 characters. For character reconstruction the previously described FastML
 algorithms are used to efficiently infer the most likely ancestral
 sequences for each internal node of the tree. Both joint and the
 marginal reconstructions are provided. For indels reconstruction the
 sequences are first coded according to the indel events detected within
 the multiple sequence alignment (MSA) and then a state-of-the-art
 likelihood model is used to reconstruct ancestral indels states. The
 results are the most probable sequences, together with posterior
 probabilities for each character and indel at each sequence position for
 each internal node of the tree. FastML is generic and is applicable for
 any type of molecular sequences (nucleotide, protein, or codon
 sequences).

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f libs/phylogeny/make.dep \
	      programs/fastml/make.dep \
	      programs/gainLoss/make.dep \
	      programs/indelCoder/make.dep

## fastml 3.11

=== libs/Makefile ===
#	$Id: Makefile 942 2006-10-18 12:28:12Z ninio $	

# There might be need for a split (as done in programs/Makefile) becouse of a bug in make 3.80.1 - see 
# http://www.cygwin.com/ml/cygwin/2004-09/msg01659.html

LIBS= phylogeny

# all has to be the FIRST task!
TASKS= all clean test depend debug All install doubleRep
.PHONY: $(TASKS) $(LIBS)

 define TASKS_template
    $(1): $$(addsuffix .$(1),$(LIBS))
 endef

$(foreach task,$(TASKS),$(eval $(call TASKS_template,$(task))))

define LIB_template
   $(1).%:
	+cd $(1) && make $$(*)
endef

$(foreach lib,$(LIBS),$(eval $(call LIB_template,$(lib))))



$(LIBS):
	+cd $@ && make

=== programs/Makefile ===
#	$Id: Makefile 11987 2014-01-30 10:23:04Z haim $	

# this split is vital becouse of a bug in make 3.80.1 - see 
# http://www.cygwin.com/ml/cygwin/2004-09/msg01659.html

PROGRAMS1= fastml gainLoss
PROGRAMS2= indelCoder
PROGRAMS = $(PROGRAMS1) $(PROGRAMS2)

# all has to be the FIRST task!
TASKS= all clean test depend debug All install doubleRep
.PHONY: $(TASKS) $(PROGRAMS)

 define TASKS_template1
    $(1): $$(addsuffix .$(1),$(PROGRAMS1))
 endef

 define TASKS_template2
    $(1): $$(addsuffix .$(1),$(PROGRAMS2))
 endef

$(foreach task,$(TASKS),$(eval $(call TASKS_template1,$(task))))
$(foreach task,$(TASKS),$(eval $(call TASKS_template2,$(task))))

define PROGRAM_template
   $(1).%:
	+cd $(1) && make $$(*)
endef

$(foreach prog,$(PROGRAMS),$(eval $(call PROGRAM_template,$(prog))))



$(PROGRAMS):
	+cd $@ && make

=== libs/phylogeny/Makefile ===
--- 
+++ 
@@ -88,8 +88,8 @@
 
 #LDFLAGS=  
 
-CPPFLAGS=  -O3 -Wall -Wno-sign-compare -I. -DLOG -ftemplate-depth-32
-CPPFLAGSDEBUG= -g -Wall -Wno-sign-compare -I. -DLOG -ftemplate-depth-32 -DVERBOS
+CPPFLAGS=  -O3 -Wall -Wno-sign-compare -I. -DLOG 
+CPPFLAGSDEBUG= -g -Wall -Wno-sign-compare -I. -DLOG -DVERBOS
 #CPPFLAGSDOU=  $(CPPFLAGS) 
 #-pg
 
@@ -120,7 +120,7 @@
 LDFLAGSDEBUG +=  -DDOUBLEREP
 endif
 
-debug: CPPFLAGS = -g -Wall -Wno-sign-compare -I. -DLOG -ftemplate-depth-32
+debug: CPPFLAGS = -g -Wall -Wno-sign-compare -I. -DLOG 
 debug:  $(DEBUGLIB)
 pl:
 	@echo "lib  ="$(LIB)
@@ -129,7 +129,7 @@
 #	cp libEvolTree.a libEvolTreeDebug.a
 
 # <<<<<<< Makefile
-# %.debug: CPPFLAGS = -g -Wall -Wno-sign-compare -I. -DLOG -ftemplate-depth-25
+# %.debug: CPPFLAGS = -g -Wall -Wno-sign-compare -I. -DLOG 
 # % debug: LIB = libEvolTreeDebug.a
 # %.debug: %
 # 	@echo "made \""$(*)"\" in debug mode"

=== programs/fastml/Makefile ===
#! /usr/local/bin/gmake
#  $Id: Makefile 1215 2006-11-28 15:53:23Z osnatz $

# In order to compile with doubleRep run make like this:  make doubleRep

Libsources= fastml.cpp bbAlg.cpp bbComputeDownAlg.cpp bbComputeUpAlg.cpp bbEvaluateSpecificAV.cpp bbfindBestAVDynProg.cpp bbNodeOrderAlg.cpp bb_options.cpp bbReport.cpp computeMarginalReconstruction.cpp jointNoGamma.cpp mainbb.cpp sequenceDataDiff.cpp suffStatComponentJointNoGamma.cpp

#Libsources=
LIBNAME = fastml

# LibCsources= cmdline.c
# LibCsources += getopt.c getopt1.c 

EXEC = fastml



include ../Makefile.generic

=== programs/indelCoder/Makefile ===
#! /usr/local/bin/gmake
#  $Id: Makefile cohenofi $

# In order to compile with doubleRep run make like this:  make doubleRep

Libsources= indelCoder.cpp indelCoderOptions.cpp indelCoderProject.cpp indelCoderUtils.cpp character.cpp gaps.cpp 

#Libsources=
LIBNAME = indelCoder

# LibCsources= cmdline.c
# LibCsources += getopt.c getopt1.c 

EXEC = indelCoder



include ../Makefile.generic

=== debian/changelog ===
fastml (3.11-4) unstable; urgency=medium

  * Fix clean target
    Closes: #1044832
  * Standards-Version: 4.6.2 (routine-update)
  * d/watch: Upstream download vanished

 -- Andreas Tille <tille@debian.org>  Wed, 24 Jan 2024 17:23:21 +0100

fastml (3.11-3) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 17 Dec 2020 15:31:13 +0100

fastml (3.11-2) unstable; urgency=medium

  * Description: Enable cross building
    Closes: #933405

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jul 2019 16:01:25 +0200

fastml (3.11-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Fri, 19 Jul 2019 20:41:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.1.5
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/fastml
 Vcs-Git: https://salsa.debian.org/med-team/fastml.git
 Homepage: http://fastml.tau.ac.il/
+Rules-Requires-Root: no
 
 Package: fastml
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,5 @@
 	      programs/fastml/make.dep \
 	      programs/gainLoss/make.dep \
 	      programs/indelCoder/make.dep
+	rm -rf bin
+	find libs/phylogeny/tests -type f -executable -delete

=== debian/watch ===
version=4

opts=dversionmangle=s/.*/0.No-Site/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamSiteForThisPackage-(\d\S+)\.gz

# vanished
# http://fastml.tau.ac.il/source.php source/FastML.v([\d.]*)\.tgz
